import Vue from "vue";
import VueRouter from "vue-router";

// 引入组件
import test from "~/pages/test";
import teacher from "~/pages/teacher/index";
import manager from "~/pages/manager/index";
import supManager from "~/pages/supManager/index";
import personal from "~/pages/teacher/personal";
import login from "~/pages/login";
import empty from "~/components/empty";
import myCourse from "~/pages/teacher/myCourseTable";
import tb_course from "~/components/tb_course";
import labApplyDetail from "~/pages/labApplyDetail";
import applyLab from "~/pages/teacher/applyLab";
import myApplyRecord from "~/pages/teacher/myApplyRecord";
import courseManagement from "~/pages/teacher/courseManagement";
import supHome from "~/components/supManager/home";
import supIndex from "~/components/supManager/index";
import globalPersonal from "~/components/personal";
import userManage from "~/components/supManager/userManage";

// 要告诉 vue 使用 vueRouter
Vue.use(VueRouter);

const routes = [
    {
        path: "/",
        redirect: '/login'
    },
    {
        path: '/test',
        component: test
    },
    {
        path: "/teacher",
        component: empty,
        children: [
            {
                path: '',
                name: 'teacher',
                component: teacher
            },
            {
                path: 'personal',
                component: personal
            },
            {
                path: 'myCourse',
                component: myCourse
            },
            {
                path: 'applyLab',
                component: applyLab
            },
            {
                path:'myApplyRecord',
                component:myApplyRecord
            },
            {
                path:'courseManagement',
                component:courseManagement
            },
            {
                path: 'myApplyRecord',
                component: myApplyRecord
            }
        ]
    },
    {
        path: '/manager',
        component: manager,
        children: []
    },
    {
        path: '/supManager',
        component: supManager,
        children: [
            {
                path: '',
                component: supHome
            },
            {
                path: 'index',
                component: supIndex,
                children: [
                    {
                        path: 'personal',
                        component: globalPersonal
                    },{
                        path: 'labManage',
                        component: globalPersonal
                    },
                    {
                        path: 'userManage',
                        component: userManage
                    }
                ]
            }
        ]
    },

    {
        path: "/login",
        component: login
    },
    {
        path: '/tbCourse',
        component: tb_course
    },
    {
        path: '/labApplyDetail',
        component: labApplyDetail
    }
]

let router = new VueRouter({
    routes
})
export default router;
