package com.hzu.bookingsystem.repository;


import com.hzu.bookingsystem.bean.LabBean;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * author 莫家豪
 */
public interface LabRepository extends JpaRepository<LabBean,String> {

    /**
     * 通过lab_id删除实验室
     *
     * @param labId
     * @return
     */
    void deleteByLabId(Integer labId);


    // 查找所有用户
    List<LabBean> findAll();

    /**
     * 通过lab_id查找实验室
     *
     * @param labId
     * @return
     */
    LabBean findByLabId(Integer labId);

    /**
     * 通过name查找实验室
     *
     * @param name
     * @return
     */
    LabBean findByName(String name);

    /**
     * 通过position查找实验室
     *
     * @param position
     * @return
     */
    LabBean findByPosition(String position);

}
