package com.hzu.bookingsystem.repository;


import com.hzu.bookingsystem.bean.LabTimeBean;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * author 莫家豪
 */
public interface LabTimeRepository extends JpaRepository<LabTimeBean,String> {

    /**
     * 通过lt_id删除实验室
     *
     * @param ltId
     * @return
     */
    void deleteByLtId(Integer ltId);

    // 查找所有用户
    List<LabTimeBean> findAll();

    /**
     * 通过lt_id查找实验室可预约时间段
     *
     * @param ltId
     * @return
     */
    LabTimeBean findByLtId(Integer ltId);

    /**
     * 通过状态查找实验室可预约时间段
     *
     * @param status
     * @return
     */
    LabTimeBean findByStatus(Integer status);

    /**
     * 通过上课时间查找实验室可预约时间段
     *
     * @param time
     * @return
     */
    LabTimeBean findByTime(String time);

    /**
     * 通过学期、周、星期、上课时间查找实验室可预约时间段
     *
     * @param year、weeks、day、time
     * @return
     */
    LabTimeBean findByYear(String year);

}
