package com.hzu.bookingsystem.service;


import com.hzu.bookingsystem.bean.LabTimeBean;

import java.util.List;
/**
 * author 莫家豪
 */
public interface LabTimeService {

    /**
     * 创建实验室可申请时间段
     *
     * @param labTime
     * @return
     */
    LabTimeBean add(LabTimeBean labTime);

    /**
     * 通过lt_id删除实验室
     *
     * @param ltID
     * @return
     */
    void deleteByLtId(Integer ltID);

    /**
     * 修改实验室
     *
     * @param labTime
     * @return
     */
    LabTimeBean update(LabTimeBean labTime);

    // 查找所有用户
    List<LabTimeBean> findAll();

    /**
     * 通过lt_id查找实验室可预约时间段
     *
     * @param ltId
     * @return
     */
    LabTimeBean findByLtId(Integer ltId);

    /**
     * 通过状态查找实验室可预约时间段
     *
     * @param status
     * @return
     */
    LabTimeBean findByStatus(Integer status);

    /**
     * 通过上课时间查找实验室可预约时间段
     *
     * @param time
     * @return
     */
    LabTimeBean findByTime(String time);

    /**
     * 通过学期、周、星期、上课时间查找实验室可预约时间段
     *
     * @param year、weeks、day、time
     * @return
     */
    LabTimeBean findByYear(String year);

}