package com.hzu.bookingsystem.service;


import com.hzu.bookingsystem.dto.UserDTO;
import com.hzu.bookingsystem.bean.UserBean;

import java.util.List;
/**
 * author 吴志岳
 */
public interface UserService {

    /**
     * 创建用户
     *
     * @param user
     * @return
     */
    UserBean add(UserBean user,Integer groupId);

    // 查找所有用户
    List<UserBean> findAll();

    /**
     * 通过u_id查找用户
     *
     * @param uId
     * @return
     */
    UserBean findById(Integer uId);

    UserBean findByUserame(String username);

    /**
     * 修改用户
     *
     * @param user
     * @return
     */
    UserBean update(UserBean user,Integer groupId);
    UserBean update(UserBean user);

    /**
     * 通过u_id删除用户
     *
     * @param uId
     * @return
     */
    void deleteById(Integer uId);

    /**
     * 通过账号密码获取用户信息
     * @param username
     * @param password
     * @return
     */
    UserBean findByUnameAndPwd(String username, String password);

    /**
     * 查找所有用户信息
     * @return
     */
    List<UserDTO> findAllUserInfo();
}
