package com.hzu.bookingsystem.service.impl;

import com.hzu.bookingsystem.bean.LabRecordBean;
import com.hzu.bookingsystem.repository.LabRecordRepository;
import com.hzu.bookingsystem.service.LabRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.transaction.Transactional;
import java.util.List;

@Service
public class LabRecordServiceImpl implements LabRecordService{
    @Resource
    private LabRecordRepository labrecordRepository;

    @Override
    public LabRecordBean add(LabRecordBean labrcecord) {
        return labrecordRepository.save(labrcecord);
    }

    @Override
    public List<LabRecordBean> findAll() {
        return labrecordRepository.findAll();
    }
    @Override
    public List<LabRecordBean> findByStatus(Integer status) {
        return labrecordRepository.findByStatus(status);
    }

    @Override
    public LabRecordBean findById(Integer lr_id) {
        return labrecordRepository.findByLrId(lr_id);
    }

    @Override
    public LabRecordBean update(LabRecordBean labrcecord) {
        return labrecordRepository.save(labrcecord);
    }

    @Override
    @Transactional
    public void deleteById(Integer lr_id) {
        labrecordRepository.deleteBylrId(lr_id);
    }

}
