package com.hzu.bookingsystem.service.impl;

import com.hzu.bookingsystem.bean.LabBean;
import com.hzu.bookingsystem.repository.LabRepository;
import com.hzu.bookingsystem.service.LabService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.transaction.Transactional;
import java.util.List;
/**
 * author 莫家豪
 */
@Service
public class LabServiceImpl implements LabService {
    @Resource
    private LabRepository labRepository;

    @Override
    public LabBean add(LabBean lab) {
        lab.setLabId(null);
        return labRepository.save(lab);
    }

    @Override
    @Transactional
    public void deleteByLabId(Integer labId){
        labRepository.deleteByLabId(labId);
    }

    @Override
    public LabBean update(LabBean lab){
        return labRepository.save(lab);
    }

    @Override
    public List<LabBean> findAll() {
        return labRepository.findAll();
    }

    @Override
    public LabBean findByLabId(Integer labId){
        return labRepository.findByLabId(labId);
    }

    @Override
    public LabBean findByName(String name) {
        return labRepository.findByName(name);
    }

    @Override
    public LabBean findByPosition(String position){
        return labRepository.findByPosition(position);
    }

}
