package com.hzu.bookingsystem.service.impl;

import com.hzu.bookingsystem.bean.LabTimeBean;
import com.hzu.bookingsystem.repository.LabTimeRepository;
import com.hzu.bookingsystem.service.LabTimeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.transaction.Transactional;
import java.util.List;
/**
 * author 莫家豪
 */
@Service
public class LabTimeServiceImpl implements LabTimeService {
    @Resource
    private LabTimeRepository labTimeRepository;

    @Override
    public LabTimeBean add(LabTimeBean labTime) {
        labTime.setLtId(null);
        return labTimeRepository.save(labTime);
    }

    @Override
    @Transactional
    public void deleteByLtId(Integer ltId){
        labTimeRepository.deleteByLtId(ltId);
    }

    @Override
    public LabTimeBean update(LabTimeBean labTime){
        return labTimeRepository.save(labTime);
    }

    @Override
    public List<LabTimeBean> findAll() {
        return labTimeRepository.findAll();
    }

    @Override
    public LabTimeBean findByLtId(Integer ltId){
        return labTimeRepository.findByLtId(ltId);
    }

    @Override
    public LabTimeBean findByStatus(Integer status) {
        return labTimeRepository.findByStatus(status);
    }

    @Override
    public LabTimeBean findByTime(String time){
        return labTimeRepository.findByTime(time);
    }

    @Override
    public LabTimeBean findByYear(String year){
        return labTimeRepository.findByYear(year);
    }

}