package com.hzu.bookingsystem.service.impl;

import com.hzu.bookingsystem.bean.UserAuthBean;
import com.hzu.bookingsystem.repository.UserAuthRepository;
import com.hzu.bookingsystem.service.UserAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserAuthServiceImpl implements UserAuthService {
    @Autowired
    private UserAuthRepository userAuthRepository;

    @Override
    public UserAuthBean add(Integer uId, Integer groupId) {
        UserAuthBean userAuth = new UserAuthBean(uId,groupId);
        return userAuthRepository.save(userAuth);
    }

    @Override
    public UserAuthBean update(Integer uId, Integer groupId) {
        UserAuthBean userAuth = new UserAuthBean(uId,groupId);
        return userAuthRepository.save(userAuth);
    }

    @Override
    public void delete(Integer uId, Integer groupId) {
        UserAuthBean userAuth = new UserAuthBean(uId,groupId);
        userAuthRepository.delete(userAuth);
    }

    @Override
    public UserAuthBean findByUId(Integer uId) {
        return userAuthRepository.findByUId(uId);
    }
}
