package com.hzu.bookingsystem;

import com.hzu.bookingsystem.bean.LabRecordBean;
import com.hzu.bookingsystem.bean.LabTimeBean;
import com.hzu.bookingsystem.bean.UserBean;
import com.hzu.bookingsystem.bean.UserCourseBean;
import com.hzu.bookingsystem.dto.UserDTO;
import com.hzu.bookingsystem.repository.UserRepository;
import com.hzu.bookingsystem.service.LabRecordService;
import com.hzu.bookingsystem.service.LabTimeService;
import com.hzu.bookingsystem.service.UserCourseService;
import com.hzu.bookingsystem.service.UserService;

import org.hibernate.SQLQuery;
import org.hibernate.transform.Transformers;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.Date;
import java.util.List;

@SpringBootTest
class BookingsystemApplicationTests {

    @Test
    void contextLoads() {
    }

    @Autowired
    private LabTimeService labTimeService;
    @Test

//    public void test(){
//        LabBean lab = new LabBean();
//        lab.setLabId(1);
//        lab.setName("android实验室");
//        lab.setPosition("5-501");
//        lab.setCapacity(50);
//        lab.setSoftware("android studio");
//        lab.setManagerId(321);
//        System.out.println(labService.findAll());
//        labService.add(lab);
//        labService.save(lab);
//        labService.deleteById(1);
//
//    }
    public void test(){
        LabTimeBean lab = new LabTimeBean();
        System.out.println(labTimeService.findAll());

    }

    @Autowired
    private UserService userService;
    @Autowired
    private UserRepository userRepository;
    @PersistenceContext
    private EntityManager entityManager;
    @Test
    public void userServiceTest(){
        UserBean user = new UserBean();
        user.setUsername("123456");
        user.setNickname("莫家豪");
        user.setEmail("？？？@qq.com");
        user.setPassword("123456");
        user.setOffice("18#？？？");
        String sql = "SELECT tb_user.u_id as uId," +
                "tb_user.nickname," +
                "tb_user.tel," +
                "tb_user.email," +
                "tb_user.username," +
                "tb_user.office," +
                "tb_auth_group_access.group_id as position " +
                "FROM " +
                "tb_auth_group_access," +
                "tb_user " +
                "WHERE " +
                "tb_auth_group_access.u_id = tb_user.u_id";
        Query query = entityManager.createNativeQuery(sql);
        query.unwrap(SQLQuery.class).setResultTransformer(Transformers.aliasToBean(UserDTO.class));
        List<UserDTO> userDTOList = query.getResultList();
        System.out.println(userDTOList);
//        Query query =
//        userService.add(user,1);
//        userService.save(user);
//        userService.deleteById(1);
//        List<UserDTO> userDTOList = userService.findAllUserInfo();
//        System.out.println(userDTOList);
//        System.out.println(userRepository.findAllUserDTO());
    }


    @Autowired
    private LabRecordService labRecordService;
    @Test
    public void labRecordTest(){
        LabRecordBean labRecordBean = new LabRecordBean(
                1,1,2,0,"",new Date(),new Date(),new Date(),null
        );

        labRecordService.add(labRecordBean);
    }


    @Autowired
    private UserCourseService userCourseService;
    @Test
    public void UserCourseTest(){
        UserCourseBean userCourseBean = new UserCourseBean(
                null,2,"数据库课程设计","MySQL","2019",1,50,"17软件工程6班","",1
        );
        System.out.println(userCourseService.findAllByUidAndYearAndSemester(1,"2019",1));
//        userCourseService.add(userCourseBean);
    }
}
